﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.131\WTTE_Constraint.sql **/

/** kd_1.5.102_wtte_constraint.sql 已包含 PK_WTTE_INFO_L PK_WTTE_INFOHIS_L PK_WTTE_INFO PK_WTTE_INFOHIS  */

 EXEC P_ALTERPK 'PK_WTTE_COUNTMSGRECORD', 'T_WTTE_COUNTMSGRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_COUNTMSGRECORD') CREATE INDEX IDX_WTTE_COUNTMSGRECORD ON T_WTTE_COUNTMSGRECORD ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTTE_COUNTMSGRECORD_L', 'T_WTTE_COUNTMSGRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_COUNTMSGRECORD_L') CREATE INDEX IDX_WTTE_COUNTMSGRECORD_L ON T_WTTE_COUNTMSGRECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTTE_CALREPORT', 'T_WTTE_CALREPORT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_CALREPORT_FNAME') CREATE INDEX IDX_WTTE_CALREPORT_FNAME ON T_WTTE_CALREPORT ( FNAME );


 EXEC P_ALTERPK 'PK_WTTE_CALREPORTEX', 'T_WTTE_CALREPORTEX', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_CALREPORTEX') CREATE INDEX IDX_WTTE_CALREPORTEX ON T_WTTE_CALREPORTEX ( FCALREPORTID );


/* EXEC P_ALTERPK 'PK_WTTE_EVASTEP', 'T_WTTE_EVASTEP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_EVASTEP') CREATE INDEX IDX_WTTE_EVASTEP ON T_WTTE_EVASTEP ( FSEQ );*/


 EXEC P_ALTERPK 'PK_WTTE_DATAJSON', 'T_WTTE_DATAJSON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_DATAJSON') CREATE INDEX IDX_WTTE_DATAJSON ON T_WTTE_DATAJSON ( FPERSONID ,FOWNDATE ,FVERSION );


 EXEC P_ALTERPK 'PK_WTTE_REVISION', 'T_WTTE_REVISION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_REVISION') CREATE INDEX IDX_WTTE_REVISION ON T_WTTE_REVISION ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTTE_REVISION_L', 'T_WTTE_REVISION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_REVISION_L') CREATE INDEX IDX_WTTE_REVISION_L ON T_WTTE_REVISION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTTE_REVISIONENTRY', 'T_WTTE_REVISIONENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_REVISIONENTRY') CREATE INDEX IDX_WTTE_REVISIONENTRY ON T_WTTE_REVISIONENTRY ( FID );


 EXEC P_ALTERPK 'PK_WTTE_REVISIONENTRYHIS', 'T_WTTE_REVISIONENTRYHIS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_REVISIONENTRYHIS') CREATE INDEX IDX_WTTE_REVISIONENTRYHIS ON T_WTTE_REVISIONENTRYHIS ( FVID );


 EXEC P_ALTERPK 'PK_WTTE_REVISIONHIS', 'T_WTTE_REVISIONHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_REVISIONHIS') CREATE INDEX IDX_WTTE_REVISIONHIS ON T_WTTE_REVISIONHIS ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTTE_REVISIONHIS_L', 'T_WTTE_REVISIONHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_REVISIONHIS_L') CREATE INDEX IDX_WTTE_REVISIONHIS_L ON T_WTTE_REVISIONHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTTE_REVISIONSENTRY', 'T_WTTE_REVISIONSENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_REVISIONSENTRY') CREATE INDEX IDX_WTTE_REVISIONSENTRY ON T_WTTE_REVISIONSENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_WTTE_REVISIONSENTRYHIS', 'T_WTTE_REVISIONSENTRYHIS', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTTE_REVISIONSENTRYHIS') CREATE INDEX IDX_WTTE_REVISIONSENTRYHIS ON T_WTTE_REVISIONSENTRYHIS ( FENTRYID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\XML\branch_1.5.131\WTTE_Constraint.sql **/
